DomainClassArtefactHandler (Grails 6.0.0)

Package: org.grails.core.artefact

## [Java] Class DomainClassArtefactHandler

- org.grails.core.artefact.DomainClassArtefactHandler

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.core.Ordered

      public class DomainClassArtefactHandler
      extends ArtefactHandlerAdapter
      implements GrailsApplicationAware, org.springframework.core.Ordered

  Evaluates the conventions that define a domain class in Grails.

  Authors:
    Graeme Rocher
    Marc Palmer (marc@anyware.co.uk)

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `ENTITY_ANN_NAME` |
    `private static java.lang.String` | `GRAILS_PACKAGE_PREFIX` |
    `private static java.lang.String` | `JAVAX_PERSISTENCE` |
    `static java.lang.String` | `PLUGIN_NAME` |
    `static java.lang.String` | `TYPE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArtefactHandlerAdapter` | `allowAbstract, artefactSuffix, grailsClassImpl, grailsClassType, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassArtefactHandler ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static boolean` | `doIsDomainClassCheck(java.lang.Class<?> clazz)`
    `` | `public int` | `getOrder()`
    `` | `public java.lang.String` | `getPluginName()`
    `` | `public boolean` | `isArtefact(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `public boolean` | `isArtefactClass(java.lang.Class clazz)`
    `` | `protected boolean` | `isArtefactResource(Resource resource)`
    `` | `public static boolean` | `isDomainClass(java.lang.Class<?> clazz, boolean allowProxyClass)`
    `` | `public static boolean` | `isDomainClass(java.lang.Class<?> clazz)`
    `` | `protected boolean` | `isValidArtefactClassNode(org.codehaus.groovy.ast.ClassNode classNode, int modifiers)`
    `` | `public GrailsClass` | `newArtefactClass(java.lang.Class artefactClass)`
    `` | `public GrailsClass` | `newArtefactClass(java.lang.Class artefactClass, org.grails.datastore.mapping.model.MappingContext mappingContext)`
    `` | `public void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactHandlerAdapter` | `getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefact, isArtefactClass, isArtefactGrailsClass, isArtefactResource, isValidArtefactClassNode, newArtefactClass`

- - ### Field Detail

    - #### private static final java.lang.String ENTITY_ANN_NAME

    - #### private static final java.lang.String GRAILS_PACKAGE_PREFIX

    - #### private static final java.lang.String JAVAX_PERSISTENCE

    - #### public static final java.lang.String PLUGIN_NAME

    - #### public static final java.lang.String TYPE

  - ### Constructor Detail

    - #### public DomainClassArtefactHandler()

  - ### Method Detail

    - #### private static boolean doIsDomainClassCheck(java.lang.Class<?> clazz)

    - #### @java.lang.Override public int getOrder()

    - #### @java.lang.Override public java.lang.String getPluginName()

    - #### @java.lang.Override public boolean isArtefact(org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override @java.lang.SuppressWarnings("rawtypes") public boolean isArtefactClass(java.lang.Class clazz)

    - #### @java.lang.Override protected boolean isArtefactResource(Resource resource)

    - #### public static boolean isDomainClass(java.lang.Class<?> clazz, boolean allowProxyClass)

    - #### public static boolean isDomainClass(java.lang.Class<?> clazz)

    - #### @java.lang.Override protected boolean isValidArtefactClassNode(org.codehaus.groovy.ast.ClassNode classNode, int modifiers)

    - #### @java.lang.Override @java.lang.SuppressWarnings("rawtypes") public GrailsClass newArtefactClass(java.lang.Class artefactClass)

    - #### @java.lang.SuppressWarnings("rawtypes") public GrailsClass newArtefactClass(java.lang.Class artefactClass, org.grails.datastore.mapping.model.MappingContext mappingContext)

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)